#ifndef _MULTIMUX_H_
#define _MULTIMUX_H_

#include "string.h"
#include "sys/stat.h"
#include "sys/time.h"
#include "sys/types.h"
#include "unistd.h"
#include "ctype.h"
#include <limits.h>

#include <fcntl.h>
#include <stdio.h>
#include <stdlib.h>
#include <pwd.h>
#include <errno.h>
#include <getopt.h>

#include "multimux_proto.h"
#include "wave_header.h"
#include "multimux_header.h"

int debug_flag;
struct passwd *userinfo;
char *home_dir;
char *user_name;
char *selected_project; // for now always in ~/.subtitles/
int debug_flag;

struct timeval *start_timeval;
struct timeval *current_timeval;

#define MAX_FILES 8


#define VERSION "0.2.2"

#endif  /* _MULTIMUX_H_ */
